org.apache.maven.project.artifact

## Class ProjectArtifactMetadata

- java.lang.Object
- - org.apache.maven.artifact.metadata.AbstractArtifactMetadata
  - - org.apache.maven.project.artifact.ProjectArtifactMetadata

- All Implemented Interfaces:
    ArtifactMetadata

      public class ProjectArtifactMetadata
      extends AbstractArtifactMetadata

  Attach a POM to an artifact.
  Version:
    $Id: ProjectArtifactMetadata.java 745955 2009-02-19 18:39:09Z jdcasey $
  Author:
    Brett Porter

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.artifact.metadata.AbstractArtifactMetadata

      `artifact`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectArtifactMetadata(Artifact artifact)`
    `ProjectArtifactMetadata(Artifact artifact, java.io.File file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBaseVersion()`
    `java.io.File` | `getFile()`
    `java.lang.Object` | `getKey()`
    `java.lang.String` | `getLocalFilename(ArtifactRepository repository)` Get the filename of this metadata on the local repository.
    `java.lang.String` | `getRemoteFilename()` Get the filename of this metadata on the remote repository.
    `boolean` | `isVersionExpressionsResolved()`
    `void` | `merge(ArtifactMetadata metadata)` Merge a new metadata set into this piece of metadata.
    `void` | `setFile(java.io.File file)`
    `void` | `setVersionExpressionsResolved(boolean versionExpressionsResolved)`
    `boolean` | `storedInArtifactVersionDirectory()` Whether this metadata should be stored alongside the artifact.
    `void` | `storeInLocalRepository(ArtifactRepository localRepository, ArtifactRepository remoteRepository)` Store the metadata in the local repository.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.maven.artifact.metadata.AbstractArtifactMetadata

      `extendedToString, getArtifactId, getGroupId, storedInGroupDirectory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectArtifactMetadata

          public ProjectArtifactMetadata(Artifact artifact)

    - #### ProjectArtifactMetadata

          public ProjectArtifactMetadata(Artifact artifact,
                                 java.io.File file)

  - ### Method Detail

    - #### getRemoteFilename

          public java.lang.String getRemoteFilename()

      Description copied from interface: `ArtifactMetadata`
      Get the filename of this metadata on the remote repository.
      Returns:
        the filename

    - #### getLocalFilename

          public java.lang.String getLocalFilename(ArtifactRepository repository)

      Description copied from interface: `ArtifactMetadata`
      Get the filename of this metadata on the local repository.
      Parameters:
        `repository` - the remote repository it came from
      Returns:
        the filename

    - #### storeInLocalRepository

          public void storeInLocalRepository(ArtifactRepository localRepository,
                                    ArtifactRepository remoteRepository)
                                      throws RepositoryMetadataStoreException

      Description copied from interface: `ArtifactMetadata`
      Store the metadata in the local repository.
      Parameters:
        `localRepository` - the local repository
        `remoteRepository` - the remote repository it came from
      Throws:
        `RepositoryMetadataStoreException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### storedInArtifactVersionDirectory

          public boolean storedInArtifactVersionDirectory()

      Description copied from interface: `ArtifactMetadata`
      Whether this metadata should be stored alongside the artifact.

    - #### getBaseVersion

          public java.lang.String getBaseVersion()

    - #### getKey

          public java.lang.Object getKey()

    - #### merge

          public void merge(ArtifactMetadata metadata)

      Description copied from interface: `ArtifactMetadata`
      Merge a new metadata set into this piece of metadata.
      Parameters:
        `metadata` - the new metadata

    - #### isVersionExpressionsResolved

          public boolean isVersionExpressionsResolved()

    - #### setVersionExpressionsResolved

          public void setVersionExpressionsResolved(boolean versionExpressionsResolved)

    - #### setFile

          public void setFile(java.io.File file)

    - #### getFile

          public java.io.File getFile()